Subject: Re: bug#16731: 24.3.50; Latin small letter sharp s is not considered lower-case

From: Stefan Monnier <[email-masked]>
Date: Thu, 13 Feb 2014 08:37:45 -0500

> How will we then be able to distinguish between lower-case characters
> that have no upcase variant and characters that are not lower-case
> characters at all?

Right: to handle this, we need to distinguish characters that are
lower-case without an uppercase variant from characters which are
neither lowercase nor uppercase.

We could do that by saying that the upcase table should return nil or -1
for ß, to indicate that the upcase version is "missing".  But such
a change will probably require carefully revising "all" the code that
uses those tables.

        Stefan